umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Enumerations | Functions
Uml::TextRole Namespace Reference

## Enumerations
enum | Enum { Floating = 700 , MultiA , MultiB , Name , Seq_Message , Seq_Message_Self , Coll_Message , Coll_Message_Self , State , RoleAName , RoleBName , ChangeA , ChangeB , Reserved }

## Functions
QString | toString (Enum item)
Enum | fromString (const QString &item)
Enum | fromInt (int item)

## Detailed Description

TextRole types.

## Enumeration Type Documentation

## ◆ Enum

enum Uml::TextRole::Enum

Enumerator
Floating |
MultiA |
MultiB |
Name |
Seq_Message |
Seq_Message_Self |
Coll_Message |
Coll_Message_Self |
State |
RoleAName |
RoleBName |
ChangeA |
ChangeB |
Reserved |

## Function Documentation

## ◆ fromInt()

Enum Uml::TextRole::fromInt | ( | int | item | ) |

Convert an integer item into TextRole representation.

Parameters

  item | integer value to convert

Returns
  TextRole enum

## ◆ fromString()

Enum Uml::TextRole::fromString | ( | const QString & | item | ) |

Return TextRole corresponding to the given string.

## ◆ toString()

QString Uml::TextRole::toString | ( | Enum | item | ) |

Return string corresponding to the given TextRole.